Subject: [ANNOUNCE] The first Wine FAQ is here!
From: [email-masked] (Dave Gardner)
Date: Mon, 18 Apr 1994 18:26:40 GMT
Newsgroups: comp.os.linux.announce

[]
                             Wine.FAQ v1.0
                           Issued: April 1994

This is the FAQ (Frequently Asked Questions) for the Wine (WINdows
Emulator) project.  Please read it carefully before you post questions
about Wine to any Unix newsgroup. 

This FAQ will be crossposted periodically to the following newsgroups: 

          comp.answers
          comp.os.386bsd.announce
	  comp.os.386bsd.development
	  comp.os.386bsd.misc
          comp.os.linux.announce
	  comp.os.linux.development
	  comp.os.linux.misc
          comp.os.windows.i386unix

and is also available by anonymous ftp from:

          tsx-11.mit.edu:/pub/linux/ALPHA/Wine/Wine.FAQ
          aris.com:/pub/linux/ALPHA/Wine/Wine.FAQ

If you have any suggestions for corrections, changes, expansion or further
clarification of this FAQ, please send them to the Wine.FAQ author and
maintainer, Dave Gardner <[email-masked]>. 

==========

The following topics are covered in this FAQ:

 1.  What is Wine?  What is it supposed to do?

 2.  Under what operating system(s) will Wine run?

 3.  What's the current version of Wine, and where and how can I get it?

 4.  When do you expect Wine to be ready for general distribution?

 5.  How much disk space will the Wine source code and binaries take on
     my hard drive?

 6.  How much RAM do I need to have on my Unix system to be able to run
     Wine and MS Windows applications smoothly?

 7.  What minimum CPU must I have on my computer to be able to run Wine
     and MS Windows applications smoothly?

 8.  Will Wine run only under X, or can it run in character mode?

 9.  Will Wine run under Motif?

10.  Which MS Windows programs does Wine run successfully?

11.  Will Wine support MS Windows networked applications that use Winsock?

12.  I'm a software developer who wants to use Unix to develop programs
     rather than DOS, but I need to write DOS and MS Windows programs as
     well.  Will I be able to do this with Wine libraries?  Or will I at
     least be able to run my favorite DOS or MS Windows compiler under
     under Wine to compile such programs?

13.  Which, if any, MS Windows programs do you expect Wine never to
     be able to run at all, and for what reason(s)?

14.  Will MS Windows programs typically run faster or slower under Unix
     and Wine than they do under DOS and MS Windows?  Will certain
     kinds of programs run slower or faster?

15.  Are there any other advantages or disadvantages to running MS Windows
     applications under Wine that I should be aware of?

16.  What happens when Chicago/Win4 is released?  Will 32-bit Chicago/Win4
     applications run under Wine?  Can I run 32-bit MS Windows NT programs
     under Wine?

17.  Do I need to have a DOS partition on my system to use Wine?  Does
     MS Windows need to be loaded into that partition in order to run
     MS Windows programs under Wine?

18.  If Wine completely replaces MS Windows, will it duplicate all of
     the functions of MS Windows?

19.  Will I be able to install MS Windows application programs in any Unix
     filesystem, such as ext2fs, minix, etc.?  How about the new umsdos
     file system for Linux?

20.  Who is responsible for writing and maintaining the Wine source code?

21.  How can I help contribute to the Wine project, and in what way(s)?

==========

1.  What is Wine?  What is it supposed to do?

Wine stands for WINdows Emulator.  It is both a program loader and an
emulation library that will allow Unix users to run MS Windows
applications in a Unix environment. 

The program loader will load and execute an MS Windows application binary,
while the emulation library will take calls to MS Windows functions and
translate these into calls to Unix/X, so that equivalent functionality is
achieved. 

MS Windows binaries will run directly; there will be no need for machine
level emulation of the program's instructions.  Sun has reported better
performance with their version of WABI than is actually achieved under MS
Windows, so theoretically the same result is possible under Wine. 

==========

2.  Under what operating system(s) will Wine run?

Unixes currently being tested for Wine compatibility include Linux, NetBSD
and FreeBSD.  The Wine development team hopes to attract the interest of
commercial Unix and Unix clone vendors as well. 

==========

3.  What's the current version of Wine, and where and how can I get it?

Wine is currently pre-beta and is not yet ready for distribution to the
general public.  New releases of Wine are made available to Wine
programmers and other project participants nearly every Tuesday during its
developmental stage. 

==========

4.  When do you expect Wine to be ready for general distribution?

Because Wine is being developed solely by volunteers, it is difficult to
predict when it will be ready for general distribution.  Or, as the Little
Old Winemaker says: There will be no Wine before its time.  About 30
percent of the MS Windows API functions have been ported to Wine at the
current time (1st quarter 1994). 

==========

5.  How much disk space will the Wine source code and binaries take on
    my hard drive?

When Wine is completed, you will need approximately 6-8 megabytes of hard
drive space to store and compile the source code and binaries.  You would
have needed more, but Wine programmers are creating shared libraries to
save space and create a more efficient and faster running Wine.  This
compares well to the approximate 12 megabytes needed for a typical MS
Windows installation under DOS. 

==========

6.  How much RAM do I need to have on my Unix system to be able to run
    Wine and MS Windows applications smoothly?

If you can run X smoothly on your Unix system now, you should be able to
run Wine and MS Windows applications just fine too.  A Wine workstation
should realistically have 8 megabytes of RAM and a 12 megabyte swap
partition. 

==========

7.  What minimum CPU must I have on my computer to be able to run Wine
    and MS Windows applications smoothly?

If you can run X, you will be able to run Wine and MS Windows
applications.  This means you should have a fast 386 or better CPU.  As
always, the faster, the better.  The existence of a FPU (floating point
processor, or math coprocessor) is unimportant.  However, a graphics
accelerated video card will help greatly. 

==========

8.  Will Wine run only under X, or can it run in character mode?

Being a GUI (graphical user interface), MS Windows does not have a
character mode, so there will likewise be no character mode for Wine.  You
must run Wine under X. 

==========

9.  Will Wine run under Motif?

Wine is window manager independent, so the X window manager you choose to
run has absolutely no bearing on your ability to run MS Windows programs
under Wine, whether you use Motif, OpenLook, twm, fvwm or whatever. 

==========

10.  Which MS Windows programs does Wine run successfully?

At the current time, test programs written specifically for Wine are
running.  MS Windows Solitaire (SOL.EXE) is running with some success, as
well as a shareware Taipei game.  A security system application sold by
one of the Wine developer's clients is also running.  Recent bug fixes
have allowed several applications to begin to run as well, so work is
progressing smoothly. 

==========

11.  Will Wine support MS Windows networked applications that use Winsock?

Wine will support applications that depend on WINSOCK.DLL.  You will be
able to run MS Windows applications such as Cello and Mosaic (though there
is a better Unix version of the latter already). 

==========

12.  I'm a software developer who wants to use Unix to develop programs
     rather than DOS, but I need to write DOS and MS Windows programs as
     well.  Will I be able to do this with Wine libraries?  Or will I at
     least be able to run my favorite DOS or MS Windows compiler under
     Wine to compile such programs?

DOSEMU is currently not able to run either the Microsoft C/C++ or Borland
C/C++ compilers because it lacks DPMI (DOS protected mode interface)
support.  Wine is not a DOS emulator, so it cannot run these compilers
either. 

Wine is not currently able to run any MS Windows debuggers, and may not be
able to for some time. 

Wine is being designed to run existing MS Windows applications.  Be aware
too that a custom MS Windows program specifically written to be compatible
with Wine may not work the same when it is run under DOS and MS Windows. 

==========

13.  Which, if any, MS Windows programs do you expect Wine never to be able
     to run at all, and for what reason(s)?

Any MS Windows program that requires a special enhanced mode device driver
(VxD) that cannot be rewritten specifically for Wine, will not run under
Wine. 

==========

14.  Will MS Windows programs typically run faster or slower under Unix and
     Wine than they do under DOS and MS Windows?  Will certain kinds of
     programs run slower or faster?

Programs should typically run at about the same speed under Wine as they
do under MS Windows. 

==========

15.  Are there any other advantages or disadvantages to running MS Windows
     applications under Wine that I should be aware of?

As with OS/2, you will be running 16-bit MS Windows applications in a
32-bit operating system using emulation, so you will have the same
advantages and disadvantages. 

There will be crash protection.  That is, each MS Windows application
running under Wine will be running in its own X term window and its own
chunk of reserved memory, so that if one MS Windows application crashes,
it won't crash the other MS Windows or Unix applications that you may have
running at the same time. 

Also, MS Windows programs should run at about the same speed under Wine as
they do under MS Windows.  You'll be able to run your favorite MS Windows
applications in a Unix environment, to fill in the gaps such as the
current lack of a full-featured free/shareware GUI oriented Unix word
processor and spreadsheet. 

The disadvantages are minimal, as you might expect.  However, be aware
that any application written for a 16-bit operating system will run much
less efficiently than its 32-bit cousin, so if you find a 32-bit
application that fits your needs, you'll be much better off switching. 

==========

16.  What happens when Chicago/Win4 is released?  Will 32-bit Chicago/Win4
     applications run under Wine?  Can I run 32-bit MS Windows NT programs
     under Wine?

Wine developers do eventually plan on supporting Win/32, but such support
is not in the current version of Wine. 

==========

17.  Do I need to have a DOS partition on my system to use Wine?  Does
     MS Windows need to be loaded into that partition in order to run
     MS Windows programs under Wine?

When it's completed, Wine will not require that you have a DOS partition
on your system at all, meaning that you won't need to have MS Windows
installed either.  Wine programmers will provide an application setup
program to allow you to install your MS Windows programs straight from
your distribution diskettes into your Unix filesystem, or from within your
Unix filesystem if you ftp an MS Windows program over the Internet. 

==========

18.  If Wine completely replaces MS Windows, will it duplicate all of
     the functions of MS Windows?

Most of them, yes.  However, some applications that come with MS Windows,
such as File Manager, are redundant, since 32-bit file managers already
exist that blow the socks off the MS Windows File Manager, and this is
true for the Calculator and Clipboard as well. 

==========

19.  Will I be able to install MS Windows application programs in any Unix
     filesystem, such as ext2fs, minix, etc.?  How about the new umsdos
     file system for Linux?

Wine is filesystem independent, so MS Windows applications will install
and run under any Unix supported filesystem. 

==========

20.  Who is responsible for writing and maintaining the Wine source code?

People who have generously donated time to the Wine project include Bob
Amstadt, Martin Ayotte, Erik Bos, John Brezak, Andrew Bulhak, John Burton,
Peter Galbavy, Jeffery Hsu, Miguel de Icaza, Alexandre Julliard, Scott A.
Laird, Peter MacDonald, David Metcalfe, John Richardson, Johannes
Ruscheinski, Yngvi Sigurjonsson, Linus Torvalds, Carl Williams, Karl
Guenter Wuensch, and Eric Youngdale. 

People and organizations who have given generous contributions of money
and equipment include David L. Harper, Bob Hepple, Mark A. Horton, Kevin
P. Lawton, the Syntropy Institute, and James Woulfe. 

==========

21.  How can I help contribute to the Wine project, and in what way(s)?

Although the Wine programming team has received some new donations of
money and equipment, they could use more.  Current plans call for the use
of monetary donations to buy programming time from student programmers, as
coding help is also needed. 

Monetary and equipment donations should be sent to: 

          Bob Amstadt
          5059 Wayland Ave.
          San Jose, CA  95118
          USA

Those willing to donate their programming skills should do three things: 

          a)  Join the Wine mailing list by sending an email message
              to [email-masked].  In the body of your message,
              type:

                    subscribe wine-users YOUR REAL NAME

              For example:

                    subscribe wine-users John Doe

              To send mail to everyone on the list, the address is:

                    [email-masked]

          b)  Read the files:

                    DEVELOPERS-HINTS
                    NEWBIE-PROJECTS
                    RELEASE

              These are available from the mail server.  Send the
              command 'index wine' to receive a list of files. The
              command 'help' can be used to receive useful instructions
              for the mail server as well.

          c)  Contact Bob Amstadt <[email-masked]> if you have
              any further questions.
 
New releases of Wine are made available to developers nearly every
Tuesday, and all releases are announced to the mailing list. 

===============================[ end ]===============================

--
Dave Gardner
[email-masked]

--
Mail submissions for comp.os.linux.announce to: [email-masked]
Be sure to include Keywords: and a short description of your software.
-- 
Linux: Generous programmers from around the world all join forces to help
       you shoot yourself in the foot for free.